
<div class="emp-form">
    <form [formGroup]="employeeForm">
        <div class="emp-form-fields">
            <div class="input-fields">
                <div class="input-area">
                    <mat-form-field class="example-full-width input" appearance="outline">
                        <mat-label>Name*</mat-label>
                        <input matInput placeholder="name" formControlName="name">
                    </mat-form-field>
                </div>

                <div  class="input-area">
                    <mat-form-field class="example-full-width input" appearance="outline">
                        <mat-label>Gender</mat-label>
                        <mat-select name="countryString" formControlName="gender">
                            <mat-option [value]="'MALE'">Male</mat-option>
                            <mat-option [value]="'FEMALE'">Female</mat-option>
                            <mat-option [value]="'OTHERS'">Others</mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
            </div>

            <div class="date-fields">
                <div class="date-area">
                    <mat-form-field class="date" appearance="outline">
                        <mat-label>DOB</mat-label>
                        <input matInput [matDatepicker]="Dobpicker" formControlName="dateofBirth">
                        <mat-datepicker-toggle matIconSuffix [for]="Dobpicker"></mat-datepicker-toggle>
                        <mat-datepicker #Dobpicker></mat-datepicker>
                    </mat-form-field>
                </div>

                <div class="date-area">
                    <mat-form-field class="date" appearance="outline">
                        <mat-label>DOJ</mat-label>
                        <input matInput [matDatepicker]="Dojpicker" formControlName="dateofJoining">
                        <mat-datepicker-toggle matIconSuffix [for]="Dojpicker"></mat-datepicker-toggle>
                        <mat-datepicker #Dojpicker></mat-datepicker>
                    </mat-form-field>
                </div>
            </div>

            <div class="text-area-fields">
                <mat-form-field class="example-full-width text-area" appearance="outline">
                    <mat-label>Hobbies</mat-label>
                    <textarea matInput placeholder="Ex. It makes me feel..." formControlName="hobbies"></textarea>
                </mat-form-field>
            </div>

            <div class="text-area-fields">
                <mat-form-field class="example-full-width text-area" appearance="outline">
                    <mat-label>Experiences</mat-label>
                    <textarea matInput placeholder="Ex. It makes me feel..." formControlName="experience"></textarea>
                </mat-form-field>
            </div>

            <div class="form-btn">
                <button mat-button class="btn cance-btn" (click)="cancel()">Cancel</button>
                <button *ngIf="!_empService.updateValue" mat-button class="btn save-btn" color="primary" (click)="onSubmit()">Create</button>
                <button *ngIf="_empService.updateValue" mat-button class="btn save-btn" color="primary" (click)="updateEmp()">Update</button>
            </div>

        </div>
    </form>
</div>